#ifndef lint
static char *RCSid = "$Header: /usr/brule/guest/empire/empire/emprcs/server/timestamp.c,v 2.6 1995/10/01 21:57:37 empire Exp $";
#endif

/*
 * timestamp.c
 *
 * Market updater
 *
 * Steve McClure, 1996
 */

#include "options.h"
#include "misc.h"
#include "player.h"
#include "keyword.h"
#include "empthread.h"
#include "file.h"
#include <stdio.h>

#ifdef MARKET
/*ARGSUSED*/
void
check_all_markets(argv)
void *argv;
{
    player->proc = empth_self();
    player->cnum = 0;
    player->god = 1;

    check_market();
    check_trade();

    ef_flush(EF_NATION);
    ef_flush(EF_SECTOR);
    ef_flush(EF_PLANE);
    ef_flush(EF_SHIP);
    ef_flush(EF_LAND);
    ef_flush(EF_COMM);
    ef_flush(EF_TRADE);

    player_delete(player);
    empth_exit();
    /*NOTREACHED*/
}

/*ARGSUSED*/
void
market_update(argv)
void	*argv;
{
    time_t    now;
    struct player *dp;
    
    while (1) {
	time(&now);
	logerror("Checking the world markets at %s", ctime(&now));
	dp = player_new(0, 0);
	empth_create(PP_UPDATE, check_all_markets, 8192, 0,
		  "MarketCheck", "Checks the world markets", dp);
	now = now + 300; /* Every 5 minutes */
	empth_sleep(now);
    }
    /*NOTREACHED*/
}

#endif /* MARKET */

