#ifndef lint
static char *RCSid = "$Header: /usr/brule/guest/empire/empire/emprcs/lib/commands/cens.c,v 2.2 1995/10/11 03:02:33 empire Exp $";
#endif /* not lint */

/*
 * vali.c
 *
 * validate the Empire database
 *
 * Ken Stevens, 1996
 */

#include "misc.h"
#include "player.h"
#include "var.h"
#include "xy.h"
#include "sect.h"
#include "ship.h"
#include "land.h"
#include "plane.h"
#include "nsc.h"
#include "nat.h"
#include "deity.h"
#include "path.h"
#include "file.h"

validate()
{
	register coord x,y;
	struct	sctstr sect;
	struct	shpstr ship;
	struct	lndstr land;
	struct	plnstr plane;
	struct	nstr_sect nstr;
	struct	nstr_item nbst;

	snxtsct_all(&nstr);

	while (nxtsct(&nstr, &sect)) {
		if ((x = nstr.x) < 0)
			x += WORLD_X;
		if ((y = nstr.y) < 0)
			y += WORLD_Y;
		sct_validate(x, y, &sect);
		putsect(&sect);
	}

	snxtitem_all(&nbst, EF_SHIP);
	while(nxtitem(&nbst, &ship)) {
		shp_validate(nbst.cur, &ship);
		putship(ship.shp_uid, &ship);
	}
	snxtitem_all(&nbst, EF_LAND);
	while(nxtitem(&nbst, &land)) {
		lnd_validate(nbst.cur, &land);
		putland(land.lnd_uid, &land);
	}
	snxtitem_all(&nbst, EF_PLANE);
	while(nxtitem(&nbst, &plane)) {
		pln_validate(nbst.cur, &plane);
		putplane(plane.pln_uid, &plane);
	}

	return RET_OK;
}
